Welcome to the iMore Forums Create Your Account or Ask a Question Answers in 5 minutes - no registration required!
Results 1 to 3 of 3
  1. Thread AuthorThread Author   #1  
    lakesjohn's Avatar
    iPhone Nanite

    1 Posts

    Default iPhone 4s & iTunes compatibility

    I recently got an iPhone 4s, but unfortunately my macbook is a little less fresh! My phone won't sync with my iTunes to get music on there, but it's not a cable issue or anything as images are downloading.

    I think the issue is that I can't get the latest version of iTunes, as I have Mac OS X 10.4.11. My question is am I going to have to upgrade to Mac OS X 10.5 just so I can get the latest iTunes, and then connect my phone?! If so, that's a disgrace!!!

    Any help much appreciated!


  2. #2  
    pilsbury's Avatar
    iMore Pro

    524 Posts
    Global Posts
    3,806 Global Posts


    I believe the answer is yes. To deal with iOS5 you have to have the latest version of iTunes.
  3. #3  
    Garz's Avatar
    Retired Moderator

    5,537 Posts
    Global Posts
    14,465 Global Posts


    You must be on iTunes 10.5 or you are just out of luck

Tags for this Thread

Posting Permissions